{% extends 'cron/base.html' %}
{% load static %}
{% block content %}




    <div class="container">

        <div class="row mb-3 mt-5">
            <h1>
                {{ mode }} Cron-Job
            </h1>
        </div>
        <div class="row mb-3">
            <h6>Fullfill this form to create a Cron-Job. Http- and Https-Urls are supported. If the URL is secured with
                HTTP-Authentification (like: „htaccess“-Passwordsecure),
                please give the corresponding access data, so that we can access the website correctly.
            </h6>

            <div class="mt-3">
                <h6>
                    Note: You can still edit the Cron-Job after creating it.</h6>
            </div>
        </div>
        <form method="POST">
            {% csrf_token %}

            <!--title/link -->
            <div class="row mt-3">
                <div class="col-md-10">
                    Title, Address
                </div>
            </div>
            <div class="container p-3 bg-white">
                <div class="form-group">
                    <label for="{{ form.title.id_for_label }}"><b>Title</b></label>
                    {{ form.title }}
                    <small class="text-danger">{{ form.title.errors.0 }}</small>
                </div>

                <div class="form-group mt-2">
                    <label for="{{ form.link.id_for_label }}"><b>Address</b></label>
                    {{ form.link }}
                    <small class="text-danger">{{ form.link.errors.0 }}</small>

                </div>
            </div>

            <!--authenticate -->
            <div class=" mt-3">
                <div class="form-group">
                    {{ form.is_authorize }}
                    <label for="{{ form.is_authorize.id_for_label }}">Login Required</label>
                    <small class="text-danger">{{ form.is_authorize.errors.0 }}</small>
                </div>
            </div>
            <div class="container p-3 bg-white">
                <div class="form-group">
                    <label for="{{ form.username_authorize.id_for_label }}"><b>Username</b></label>
                    {{ form.username_authorize }}
                    <small class="text-danger">{{ form.username_authorize.errors.0 }}</small>

                </div>
                <div class="form-group mt-2">
                    <label for="{{ form.password_authorize.id_for_label }}"><b>Password</b></label>
                    {{ form.password_authorize }}
                    <small class="text-danger">{{ form.password_authorize.errors.0 }}</small>

                </div>
            </div>


            <!--Execution-->
            <div class="row mt-3">
                <div class="col-md-1">
                    Execution
                </div>
            </div>
            <div class="container p-3 bg-white">
                <div class="row">
                    <div class="col-md-2">
                        {{ form.execution_type.0 }}
                        <small class="text-danger">{{ form.execution_type.errors.0 }}</small>

                    </div>
                    <div class="col-md-10">
                        {{ form.minute_minutes }} Minutes
                        <small class="text-danger">{{ form.minute_minutes.errors.0 }}</small>

                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2 ">
                        {{ form.execution_type.1 }}
                        <small class="text-danger">{{ form.execution_type.errors.0 }}</small>

                    </div>
                    <div class="col-md-10">
                        {{ form.day_hours }} : {{ form.day_minutes }}
                        <small class="text-danger">{{ form.day_minutes.errors.0 }}</small>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2">
                        {{ form.execution_type.2 }}
                        <small class="text-danger">{{ form.execution_type.errors.0 }}</small>
                    </div>
                    <div class="col-md-9">
                        {{ form.month_day }}
                        of the month at {{ form.month_hours }} : {{ form.month_minutes }}
                        <small class="text-danger">{{ form.month_day.errors.0 }}</small>

                    </div>
                </div>
                <div class="row">
                    <div class="col-md-2">
                        {{ form.execution_type.3 }}
                        <small class="text-danger">{{ form.execution_type.errors.0 }}</small>

                    </div>
                    <div class="col-md-3">
                        {{ form.custom }}
                        <small class="text-danger">{{ form.custom.errors.0 }}</small>

                    </div>
                </div>
            </div>

            <!--Notification-->
            <div class="row mt-3">
                <div class="col-md-12">
                    Notification
                </div>
            </div>
            <div class="container p-4 bg-white">
                <div class="row ">
                    <div class="col-md-10 ">
                        <label> <b>Notify me if</b></label>
                    </div>
                    <div class="col-md-10 mt-2">
                        {{ form.job_fail }}
                        {{ form.job_fail.label }}
                        <small class="text-danger">{{ form.job_fail.errors.0 }}</small>

                    </div>
                    <div class="col-md-10">
                        {{ form.job_success_after_fail }}
                        {{ form.job_success_after_fail.label }}
                        <small class="text-danger">{{ form.job_success_after_fail.errors.0 }}</small>

                    </div>
                    <div class="col-md-10 mb-3">
                        {{ form.job_deactivate_due_many_error }}
                        {{ form.job_deactivate_due_many_error.label }}
                        <small class="text-danger">{{ form.job_deactivate_due_many_error.errors.0 }}</small>

                    </div>
                </div>
            </div>


            <!--General-->
            <div class="row mt-3">
                <div class="col-md-12">
                    General
                </div>
            </div>

            <div class="container p-3 bg-white">
                <div class="row">
                    <div class="col-md-10">
                        {{ form.job_save }}
                        {{ form.job_save.label }}
                        <small class="text-danger">{{ form.job_save.errors.0 }}</small>

                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md mt-3">
                    <h6>By creating the Cron-Job you declare that you either own the website, or you have a permission
                        from the owner to do this.
                    </h6>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-md-2 mb-5">
                    <input class="btn edit_btn" type="submit" name="Create Task" value="Submit">

                </div>
                <div class="col-md-2 checkbox_active">
                    {{ form.is_active }}
                    {{ form.is_active.label }}
                    <small class="text-danger">{{ form.is_active.errors.0 }}</small>

                </div>


            </div>
        </form>
    </div>
{% endblock %}